<?php

$where=@$_GET["where"];
function distance($lat1, $lon1, $lat2, $lon2, $unit) {
  
  $theta = $lon1 - $lon2;
  $dist = sin(deg2rad($lat1)) * sin(deg2rad($lat2)) +  cos(deg2rad($lat1)) * cos(deg2rad($lat2)) * cos(deg2rad($theta));
  $dist = acos($dist);
  $dist = rad2deg($dist);
  $miles = $dist * 60 * 1.1515;
  $unit = strtoupper($unit);

  if ($unit == "K") {
      return ($miles * 1.609344);
  } else if ($unit == "N") {
      return ($miles * 0.8684);
  } else {
      return $miles;
  }
}


$file=file_get_contents("bts-list.txt");
if ($where!=""){
	$where=explode(",",$where);
	if (count($where)>1){
		$lines=explode("\n",$file);
		foreach($lines as $line){
			$parts=explode(";",$line);
			if (count($parts)>3){
				$d=distance(floatval($parts[1]),floatval($parts[2]),floatval($where[0]),floatval($where[1]),"K");
				if ($d<50){
					echo $line."\n";
				}
			}
		
		}
	}
}else{
	echo $file;
}

?>